%global modulename https-proxy-agent

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-https-proxy-agent
Version:        2.2.1
Release:        1%{?dist}
Summary:        An HTTP(s) proxy `http.Agent` implementation for HTTPS

License:        MIT
URL:            https://github.com/TooTallNate/node-https-proxy-agent#readme
Source0:        https://registry.npmjs.org/https-proxy-agent/-/https-proxy-agent-2.2.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(agent-base) >= 4.1.0 with npmlib(agent-base) < 5.0.0))
BuildRequires:  ((npmlib(debug) >= 3.1.0 with npmlib(debug) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
An HTTP(s) proxy `http.Agent` implementation for HTTPS

%package 2.2.1
Summary:        An HTTP(s) proxy `http.Agent` implementation for HTTPS


%description 2.2.1
An HTTP(s) proxy `http.Agent` implementation for HTTPS

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc History.md
%doc README.md
%{nodejs_dir}/%{modulename}

%files 2.2.1
%doc History.md
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 2.2.1-1
- Package automatically generated by npm2srpm
